*{
	padding: 0;
	margin: 0;
	font-family: sans-serif;
}
:root{
	--azul_claro: #1E3A5F;
	--gris: #CCCCCC;
	--blanco: #FFFFFF;
	--crema: #DDEEDD;
	--azul_oscuro: #252249;
	--azul_intermedio: #252269;
	--azul_electrico: #2980B9;
	--verde_claro: #00E676;
	--verde_oscuro: #00AA76;
	--morado_elegante: #8E44AD;
	--negro: #121212;
	--rojo: #FF4545FF;
}

body{
	background-color: var(--azul_oscuro);
	color: var(--crema);
}

.contenedor_uno, .contenedor_dos{
	width: 100%;
	margin: 20px 0px;
	display: flex;
	justify-content: center;
}
.contenedor_principal{
	width: 80%;
	padding: 15px;
	border-radius: 15px;
	max-width: 500px;
	background-color: var(--azul_claro);
}
.titulo{
	margin-bottom: 15px;
}
.entrada{
	width: calc(100% - 20px);
	background-color: var(--azul_claro);
	padding: 10px;
	border: 2px solid var(--azul_electrico);
	border-radius: 10px;
	font-size: 1rem;
	margin-top: 5px;
	margin-bottom: 15px;
	outline: none;
	color: var(--crema);
}
.entrada::placeholder{
	color: var(--gris);
}
.contenedor_correo{
	margin-top: 5px;
	margin-bottom: 15px;
	position: relative;
	border-radius: 10px;
	overflow: hidden;
	border: 2px solid var(--azul_electrico)
}
.correo_seleccionado{
	width: 100%;
	height: 100%;
	user-select: none;
	cursor: pointer;
	position: absolute;
	z-index: 100;
	background-color: var(--azul_claro);
	justify-content: center;
	align-items: center;
	border-radius: 10px;
	display: none;
}
.texto_advertencia{
	background-color: var(--rojo);
	padding: 10px;
	display: none;
	margin-bottom: 15px;
	font-size: .95rem;
}
.contenedor_boton{
	display: flex;
	justify-content: right;
	padding-bottom: 15px;
}
.boton{
	font-size: 1rem;
	border: none;
	cursor: pointer;
	padding: 10px 15px;
	border-radius: 10px;
	background-color: var(--verde_claro);
}
.boton:hover{
	background-color: var(--verde_oscuro);
}

.contenedor_dos{
	display: none;
}

.contenedor_aviso{
	display: none;
	width: 100%;
	height: 100vh;
	top: 0;
	left: 0;
	background-color: rgba(0, 0, 0, .8);
	position: fixed;
	justify-content: center;
	align-items: center;
}
.aviso{
	width: 80%;
	max-width: 350px;
	padding: 15px;
	background-color: var(--azul_claro);
	border-radius: 10px;
	display: flex;
	justify-content: center;
	flex-direction: column;
	align-items: center;
}
.texto_aviso_uno{
	padding: 15px 0px;
}

.contenedor_cargando{
	width: 100%;
	height: 100vh;
	left: 0;
	top: 0;
	position: fixed;
	z-index: 100;
	background-color: var(--azul_oscuro);
	display: none;
}
.contenedor_caja{
	height: 100%;
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
}
.caja_logo{
	display: flex;
	align-items: center;
	margin-top: -60px;
	padding-bottom: 15px;
}
.logo{
	width: 40px;
	height: 40px;
	user-select: none;
}
.loader {
    width: 20px;
    height: 20px;
    border: 2px solid var(--azul_claro);
    border-top: 2px solid var(--verde_claro);
    border-radius: 50%;
    animation: spin 1s linear infinite;
    margin-top: 5px;
}
@keyframes spin {
  	0% { transform: rotate(0deg); }
  	100% { transform: rotate(360deg); }
}